Module | Sequel::Model::Associations
In: | lib/sequel/model/associations.rb

Associations are used in order to specify relationships between model classes that reflect relations between tables in the database using foreign keys.

### Methods

apply

### Classes and Modules

Module Sequel::Model::Associations::AssociationDatasetMethods
Module Sequel::Model::Associations::ClassMethods
Module Sequel::Model::Associations::DatasetMethods
Module Sequel::Model::Associations::InstanceMethods
Class Sequel::Model::Associations::AssociationReflection
Class Sequel::Model::Associations::ManyToManyAssociationReflection
Class Sequel::Model::Associations::ManyToOneAssociationReflection
Class Sequel::Model::Associations::OneToManyAssociationReflection

### Constants

ASSOCIATION_TYPES | = | {} |  | Map of association type symbols to association reflection classes.

### Public Class methods

apply(model)

Set an empty association reflection hash in the model

[Source]

        # File lib/sequel/model/associations.rb, line 10
    10:       def self.apply(model)
    11:         model.instance_variable_set(:@association_reflections, {})
    12:       end

[Validate]